#include <string>
#include <vector>
#include <algorithm>
#include <ctype.h>
#include <math.h>
#include <iostream>
#include <set>
#include <sstream>

using namespace std;
typedef long long ll; typedef long double ld;
typedef vector<int> vi; typedef vector<string> vs;

#define LS <
#define FOR(k,start,end) for(typeof(start) k=(start); k LS (end); ++k)
#define Size(x) (int(x.size()))
#define LET(k,val) typeof(val) k = (val)

#define CLC(act,val) (*({act; static typeof(val) CLCR; CLCR = (val); &CLCR;}))
 
#define FIRST(k,a,b,cond) CLC(LET(k, a); for(; k LS (b); k++) if(cond) break, k)
#define EXISTS(k,a,b,cond) (FIRST(k,a,b,cond) LS (b))
#define FORALL(k,a,b,cond) (!EXISTS(k,a,b,!(cond)))
 
#define FOLD0(k,a,b,init,act) CLC(LET(k, a); LET(R##k, init); for(; k LS (b); k++) {act;}, R##k)
#define SUMTO(k,a,b,init,x)  FOLD0(k,a,b,init,R##k += (x))
#define PRODTO(k,a,b,init,x) FOLD0(k,a,b,init,R##k *= (x))
#define MAXTO(k,a,b,init,x)  FOLD0(k,a,b,init,R##k >?= (x))
#define MINTO(k,a,b,init,x)  FOLD0(k,a,b,init,R##k <?= (x))
#define SUM(k,a,b,x) SUMTO(k,a,b,(typeof(x)) (0), x)
#define PROD(k,a,b,x) PRODTO(k,a,b,(typeof(x)) (1), x)
 
#define FOLD1(k,a,b,init,act) CLC(LET(k, a); LET(R##k, init); for(k++; k LS (b); k++) act, R##k)
#define MAX(k,a,b,x) FOLD1(k,a,b,x, R##k >?= (x))
#define MIN(k,a,b,x) FOLD1(k,a,b,x, R##k <?= (x))
 
#define INF 2000000000
int tcize(int n) {return n<INF ? n : -1;}


struct medal {
  string name;
  int gold;
  int sil;
  int br;
  };

int main()
{
    FILE *f;
    f=fopen("input.txt","r");
    int kol;
    char kod[20];
    fscanf(f,"%d",&kol);
    vector <medal> m;
    medal md;
    md.name = "XXX";
    FOR(k,0,kol) {
      md.gold = 1; md.sil = 0; md.br = 0;
      fscanf(f,"%s",kod);
      md.name = kod;
      m.push_back(md);
      md.gold = 0; md.sil = 1; md.br = 0;
      fscanf(f,"%s",kod);
      md.name = kod;
      m.push_back(md);
      md.gold = 0; md.sil = 0; md.br = 1;
      fscanf(f,"%s",kod);
      md.name = kod;
      m.push_back(md);
    }
    fclose(f);
    FOR(k,0,Size(m)-1) FOR(l,0,Size(m)-1) if(m[l+1].name < m[l].name) swap(m[l], m[l+1]);

    FOR(k,0,Size(m)-1) if(m[k].name == m[k+1].name) {
      m[k+1].gold += m[k].gold;
      m[k+1].sil  += m[k].sil ;
      m[k+1].br   += m[k].br  ;
      m[k].name = "~~~";
      }

    FOR(k,0,Size(m)-1) FOR(l,0,Size(m)-1) if(m[l+1].name < m[l].name) swap(m[l], m[l+1]);

    m.resize(FIRST(q,0,Size(m), m[q].name == "~~~"));

    FOR(k,0,Size(m)-1) FOR(l,0,Size(m)-1) if(m[l+1].br   > m[l].br  ) swap(m[l], m[l+1]);
    FOR(k,0,Size(m)-1) FOR(l,0,Size(m)-1) if(m[l+1].sil  > m[l].sil ) swap(m[l], m[l+1]);
    FOR(k,0,Size(m)-1) FOR(l,0,Size(m)-1) if(m[l+1].gold > m[l].gold) swap(m[l], m[l+1]);


    f=fopen("output.txt","w");
    FOR(k,0,Size(m)) {
      fprintf(f, "%s %d %d %d\n", m[k].name.c_str(), m[k].gold, m[k].sil, m[k].br);
    }
    fclose(f);
  return 0;
}
