#include <stdio.h>
#include <math.h>
int adiff(double a1, double a2, double d)
{
  if(fabs(a1-a2)<=d)
    return 1;
  if(fabs(a1+360*60.0-a2)<=d)
    return 1;
  if(fabs(a1-360*60.0-a2)<=d)
    return 1;
  return 0;
}
int main()
{
  int i,n,gr1,mn1,gr,p[200];
  double mn;
  long s;
  int fl0,fl360;
  FILE *f1, *f2;
  f1=fopen("input.txt","r");
  fscanf(f1,"%d",&n);
  fl0=0;
  fl360=0;
  for(i=0;i<n;++i)
  {
    fscanf(f1,"%d",&p[i]);
    fl0=fl0 || (p[i]<60);
    fl360=fl360 || (p[i]>300);
  }
  fclose(f1);
  if(fl0 && fl360)
  {
    s=0;
    for(i=0;i<n;++i)
      s+=(p[i]+180)%360;
    gr=((s/n)+180)%360;
    mn=fmod(((s*60.0)/n),60);
  }
  else
  {
    s=0;
    for(i=0;i<n;++i)
      s+=p[i];
    gr=s/n;
    mn=fmod(((s*60.0)/n),60);
  }
  for(i=0;i<n;++i)
    if(!adiff(gr*60.0+mn,p[i]*60.0,20*60.0))
    {
      printf("室 !\n");
      return 5;
    }
  f2=fopen("output.txt","r");
  if(f2==NULL) return 5;
  if(fscanf(f2,"%d%d",&gr1,&mn1)!=2) return 5;
  fclose(f2);
  if(gr1<0 || gr1>=360)
  {
    printf("ࠤ    0..359\n");
    return 2;
  }
  if(mn1<0 || mn1>=60)
  {
    printf("    0..59\n");
    return 2;
  }
  if(adiff(gr*60.0+mn,gr1*60.0+mn1,1.01))
  {
    printf("Ok\n");
    return 0;
  }
  printf("訡  1 \n");
  return 2;
}
