#include <stdio.h>
#include <stdlib.h>
struct qelem { char i,j; } q[2][2500];
struct infoelem { long door,lose; int step; } maze[51][51],save[51][51];
int nq[2],uq,best,path[50];
int n,m,k,st,i,j,i1,j1,i2,kol,prev;
long sum;
FILE *f1,*f2;
void moveto(int i1, int j1, int i2, int j2)
{
  long lose;

  if (i2>n || j2<=0 || j2>m || (i2==n && j1!=j2))
    return;
  lose=save[i1][j1].lose;
  if (i2>i1)
    lose+=maze[i2][j2].door;
  if (lose<maze[i2][j2].lose || lose==maze[i2][j2].lose && st<maze[i2][j2].step)
  {
    if (st!=maze[i2][j2].step)
    {
      q[1-uq][nq[1-uq]].i=i2;
      q[1-uq][nq[1-uq]].j=j2;
      ++nq[1-uq];
    }
    maze[i2][j2].lose=lose;
    maze[i2][j2].step=st;
  }
}
int main()
{
  f1=fopen("input.txt","r");
  fscanf(f1,"%d%d%d",&n,&m,&k);
  for (i=1;i<=n;++i)
  {
    for (j=1;j<=m;++j)
    {
      fscanf(f1,"%ld",&maze[i][j].door);
      maze[i][j].lose=1000001;
      maze[i][j].step=n*m;
    }
  }
  fclose(f1);
  nq[0]=m;
  for(j=1;j<=m;++j)
  {
    maze[0][j].door=0;
    maze[0][j].lose=0;
    maze[0][j].step=0;
    q[0][j-1].i=0;
    q[0][j-1].j=j;
  }
  uq=0;
  for (i=0;i<=n;++i)
    for (j=1;j<=m;++j)
      save[i][j]=maze[i][j];
  for (st=1;st<=k;++st)
  {
    nq[1-uq]=0;
    for (i=0;i<nq[uq];++i)
    {
      i1=q[uq][i].i;
      j1=q[uq][i].j;
      save[i1][j1]=maze[i1][j1];
    }
    for (i=0;i<nq[uq];++i)
    {
      i1=q[uq][i].i;
      j1=q[uq][i].j;
      moveto(i1,j1,i1+1,j1);
      moveto(i1,j1,i1,j1+1);
      moveto(i1,j1,i1,j1-1);
    }
    uq=1-uq;
  }
  best=1;
  for (j=2;j<=m;++j)
  {
    if (maze[n][j].lose<maze[n][best].lose)
      best=j;
  }
  f2=fopen("output.txt","r");
  if(f2==NULL) return 5;
  for(i=0;i<n;++i)
  {
    if(fscanf(f2,"%d",&path[i])!=1)
    {
      printf(" ३\n");
      return 2;
    }
    if(path[i]<0 || path[i]>m)
    {
      printf("  \n");
      return 2;
    }
  }
  fclose(f2);
  kol=0;
  sum=0;
  prev=path[0];
  for(i=0;i<n;i++)
  { kol+=1+abs(path[i]-prev);
    sum+=maze[i+1][path[i]].door;
    prev=path[i];
  }
  if(kol>k)
  {
    printf("誮  \n");
    return 2;
  }
  if(sum>maze[n][best].lose)
  {
    printf("誮 ண \n");
    return 2;
  }
  if(sum<maze[n][best].lose)
  {
    printf("Ok   襢 %ld %ld\n",sum,maze[n][best].lose);
    return 0;
  }
  printf("Ok\n");
  return 0;
}
